using Photon.Pun;

public class PoisonEffectInstance : BaseDamageOverTimeEffectInstance
{
    public override DamageOverTimeType DamageType => DamageOverTimeType.Poison;

    [PunRPC]
    public void RPC_ApplyDamageOverTimeEffectPoison(int effectIndex, float value)
    {
        ApplyEffect(StatusEffectIndexer.Instance.StatusEffects[effectIndex], value);
    }

    [PunRPC]
    public void RPC_EffectAppliedPoison()
    {
        OnEffectStackAddedEvent.Invoke();
    }

    [PunRPC]
    public void RPC_EffectEndedPoison()
    {
        OnEffectEnded.Invoke();
    }
}